Bug 825347 - Review Request: jersey - JAX-RS (JSR 311) production quality Reference Implementation
Review Request: jersey - JAX-RS (JSR 311) production quality Reference Implem...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On: 825308 869504
Blocks: 857138 metrics 985087
  Show dependency treegraph
 
Reported: 2012-05-25 14:49 EDT by gil cattaneo
Modified: 2013-10-05 08:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: jersey-1.17.1-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-06 20:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-25 14:49:55 EDT
Spec URL: http://gil.fedorapeople.org/jersey.spec
SRPM URL: http://gil.fedorapeople.org/jersey-1.12-1.fc16.src.rpm
Description: Jersey is the open source JAX-RS (JSR 311)
production quality Reference Implementation
for building RESTful Web services.
Fedora Account System Username: gil
Comment 2 gil cattaneo 2012-09-02 09:46:10 EDT
- removed glassfish-el-impl references (RHBZ #825349)
Comment 4 Mikolaj Izdebski 2012-09-18 11:23:21 EDT
I am taking this review.
Comment 5 gil cattaneo 2012-09-29 11:12:55 EDT
Spec URL: http://gil.fedorapeople.org/jersey/1.14/jersey.spec
SRPM URL: http://gil.fedorapeople.org/jersey/1.14/jersey-1.14-1.fc16.src.rpm

- enabled test-framework and contribs modules
Comment 6 Mikolaj Izdebski 2012-10-09 10:38:56 EDT
Fails to build in rawhide mock:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4574382
Comment 7 Mikolaj Izdebski 2012-10-09 10:45:40 EDT
I didn't see depends on the other reviews because they were added after I took the review.

I'm releasing this review as it doesn't look like it has several missing dependencies for now.
Comment 8 gil cattaneo 2012-10-09 12:09:31 EDT
depend on https://bugzilla.redhat.com/show_bug.cgi?id=859114
Comment 12 Michal Srb 2013-03-28 03:54:49 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 563200 bytes in 15 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jersey-1.17.1-1.fc20.noarch.rpm
          jersey-test-framework-1.17.1-1.fc20.noarch.rpm
          jersey-contribs-1.17.1-1.fc20.noarch.rpm
          maven-wadl-plugin-1.17.1-1.fc20.noarch.rpm
          jersey-javadoc-1.17.1-1.fc20.noarch.rpm
jersey.noarch: E: explicit-lib-dependency tomcat-lib
5 packages and 0 specfiles checked; 1 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint jersey-contribs jersey-javadoc maven-wadl-plugin jersey jersey-test-framework
jersey.noarch: E: explicit-lib-dependency tomcat-lib
5 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 825347

The package looks good, just one small issue:
One file in jersey-core/ is under ASL 2.0 license, thus license field in spec file should probably be: "(CDDL or GPLv2 with exceptions) and ASL 2.0"
Comment 13 gil cattaneo 2013-03-28 10:05:31 EDT
Spec URL: http://gil.fedorapeople.org/jersey/1.17.1/1/jersey.spec
SRPM URL: http://gil.fedorapeople.org/jersey/1.17.1/1/jersey-1.17.1-2.fc18.src.rpm
- fixed license field
- installed ASL license txt file
Comment 14 Michal Srb 2013-03-28 11:21:55 EDT
Looks good to me now. Thanks

================
*** APPROVED ***
================
Comment 15 gil cattaneo 2013-03-28 11:36:48 EDT
New Package SCM Request
=======================
Package Name: jersey
Short Description: JAX-RS (JSR 311) production quality Reference Implementation
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 16 Gwyn Ciesla 2013-03-28 11:39:39 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2013-03-28 21:23:25 EDT
jersey-1.17.1-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 18 Fedora Update System 2013-04-06 20:35:31 EDT
jersey-1.17.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 19 Gang Wei 2013-07-05 03:36:21 EDT
Package Change Request
======================
Package Name: jersey
New Branches: el6
Owners: gwei3
InitialCC: gil

Fedora owner gil don't want to own the EPEL branch as stated in Bug 979339.
Comment 20 Gwyn Ciesla 2013-07-05 07:58:26 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2013-07-24 10:23:19 EDT
jersey-1.17.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jersey-1.17.1-4.fc19
Comment 22 Fedora Update System 2013-08-02 17:50:27 EDT
jersey-1.17.1-4.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.